<?php

function defer_parsing_of_js( $url ) {
    if ( is_user_logged_in() ) return $url; //don't break WP Admin
    if ( FALSE === strpos( $url, '.js' ) ) return $url;
    if ( strpos( $url, 'jquery.js' ) ) return $url;
    return str_replace( ' src', ' defer src', $url );
}
add_filter( 'script_loader_tag', 'defer_parsing_of_js', 10 );

add_action( 'elementor/frontend/after_register_styles',function() {
	foreach( [ 'solid', 'regular', 'brands' ] as $style ) {
		wp_deregister_style( 'elementor-icons-fa-' . $style );
	}
}, 20 );

add_filter( 'woocommerce_registration_redirect', 'custom_redirection_after_registration', 10, 1 );
function custom_redirection_after_registration( $redirection_url ){
    // Change the redirection Url
    $redirection_url = get_permalink( get_option('woocommerce_myaccount_page_id'));
    return $redirection_url; // Always return something
}

remove_filter('pre_get_posts', 'wpb_search_filter');

add_filter( 'woocommerce_add_to_cart_fragments', 'refresh_shop_cart', 10, 1 );


function refresh_shop_cart( $fragments ) {

   $fragments['.simga-mini-cart .dgs_cart_shop span'] = '<span>' . WC()->cart->get_cart_contents_count() . '</span>';

   return $fragments;

}

function sigma_get_physical_product_info($id)
{
    return get_post_meta($id, 'physical_product', true);
}

function example_cats_related_post() {

    $post_id = get_the_ID();
    $cat_ids = array();
    $categories = get_the_category( $post_id );

    if(!empty($categories) && !is_wp_error($categories)):
        foreach ($categories as $category):
            array_push($cat_ids, $category->term_id);
        endforeach;
    endif;

    $current_post_type = get_post_type($post_id);

    $query_args = array( 
        'category__in'   => $cat_ids,
        'post_type'      => $current_post_type,
        'post__not_in'    => array($post_id),
        'posts_per_page'  => '9',
     );

    $related_cats_post = new WP_Query( $query_args );

    if($related_cats_post->have_posts()):
         while($related_cats_post->have_posts()): $related_cats_post->the_post();
            global $sigma;
            get_template_part($sigma['post_style_loop'] );
        endwhile;

        // Restore original Post Data
        wp_reset_postdata();
     endif;

}