<?php
/**
 * Login Form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/myaccount/form-login.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 4.1.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

?>
<div class="sigma-user-area">
<div class="woocommerce-page">

<?php
if(sigma_is_endpoint("register")):
    do_action( 'woocommerce_before_customer_register_form' ); ?>
    <?php if ( 'yes' === get_option( 'woocommerce_enable_myaccount_registration' ) ) : ?>

<?php 
global $sigma;
if($sigma['regiss_style_page'] == 'dashboard/register/register-style-one') : ?>

    <div class="u-columns col2-set formholder-v1" id="customer_login" style="background:<?php global $sigma; echo ''  . $sigma['register_page_back']['background-color']; ?>">
    <div class="u-column2 form-container container_login_v1_woo" style="background: url(<?php global $sigma; echo ''  . $sigma['register_container_bg']['background-image']; ?>) <?php global $sigma; echo ''  . $sigma['register_container_bg']['background-color']; ?> no-repeat;">

<?php endif; ?>    

<?php
global $sigma;
if($sigma['regiss_style_page'] == 'dashboard/register/register-style-two') : ?>

    <div class="u-columns col2-set formholder-v2" id="customer_login">
    <div class="u-column2 form-container-v2 container_login_v2_woo" style="background:url( <?php global $sigma; echo ''  . $sigma['register_v2_bg']['background-image']; ?>)  no-repeat">
    <div class="container form-v2-container">
    <div class="row">
    <div class="col-lg-6 note-form-v2 nopadding"  style="background:url(<?php global $sigma; echo ''  . $sigma['register_v2_left_box_back_photo']['background-image']; ?>);">
               <a href="<?php bloginfo('url') ?>" target="_blank">
                     <?php global $sigma; if($sigma['register_image_v2']['url']!='') { ?>
                <img src="<?php echo $sigma['register_image_v2']['url']; ?>">
              <?php } else { ?>
                <img alt="" src="<?php bloginfo('template_directory'); ?>/assets/img/logo-light.png">
            <?php } ?>
            </a>
            <?php global $sigma; echo $sigma['content_register']; ?>
            <a href="<?php global $sigma; echo $sigma['content_register_btn_link']; ?>" target="_blank" class="more-panel"><?php global $sigma; echo $sigma['content_register_btn_text']; ?></a>
    </div>
    
    <div class="col-lg-6 content-form-v2">
        
            <?php global $sigma; if($sigma['register_user_image_v2']['url']!='') { ?>
                <img src="<?php echo $sigma['register_user_image_v2']['url']; ?>">
              <?php } else { ?>
                <img alt="" src="<?php bloginfo('template_directory'); ?>/assets/img/boy-150x150.png">
            <?php } ?>		
            
            <p><?php global $sigma; echo $sigma['content_register_form_text']; ?></p>

<?php endif; ?> 

<?php 
global $sigma;
if($sigma['regiss_style_page'] == 'dashboard/register/register-style-three') : ?>

    <div class="u-columns col2-set background_login background_login_woo" id="customer_login" style="margin:0;background:<?php global $sigma; echo ''  . $sigma['register_v3_full_back']['background-color']; ?>">
    <div class="u-column2 wrapper_login wrapper_register container_login_v3_woo">

      <div class="header_login header_register" style="min-height: auto;background:<?php global $sigma; echo ''  . $sigma['register_v3_box_back']['background-color']; ?>">
        <i class="star-1"></i>
        <i class="star-2"></i>
        <i class="star-3"></i>
        <i class="star-4"></i>
        <i class="star-5"></i>
        <i class="star-6"></i>
        <div class="avatar_login">
            <?php echo get_avatar( get_the_author_meta('user_login'), 80); ?>
        </div>
        <div class="title">
        <h1><?php esc_html_e( 'Register', 'woocommerce' ); ?></h1>
        </div>  
        </div>  
        
<?php endif; ?>    


<?php 
global $sigma;
if($sigma['regiss_style_page'] == 'dashboard/register/register-style-four') : ?>

    <div class="body_login_v4" style="background-color:<?php global $sigma; echo $sigma['register_v4_full_back']['background-color']; ?>">
    <div class="u-column2 container_login_v4 container_login_v4_woo" style="background:<?php global $sigma; echo ''  . $sigma['register_v4_back']['background-color']; ?>;border-top: solid <?php global $sigma; echo $sigma['register_v4_back_border_top_color']; ?>;">

<?php endif; ?>   


<?php 
global $sigma;
if($sigma['regiss_style_page'] == 'dashboard/register/register-style-one' ) : ?>
        <h1><?php esc_html_e( 'Register', 'woocommerce' ); ?></h1>
<?php endif; ?>    

<?php 
global $sigma;
if($sigma['regiss_style_page'] == 'dashboard/register/register-style-two' ) : ?>
        <h1><?php esc_html_e( 'Register', 'woocommerce' ); ?></h1>
<?php endif; ?>    


<?php 
global $sigma;
if($sigma['regiss_style_page'] == 'dashboard/register/register-style-four' ) : ?>
        <h1><?php esc_html_e( 'Register', 'woocommerce' ); ?></h1>
<?php endif; ?>    


            <form method="post" class="woocommerce-form woocommerce-form-register register" <?php do_action( 'woocommerce_register_form_tag' ); ?> >

                <?php do_action( 'woocommerce_register_form_start' ); ?>

                <?php if ( 'no' === get_option( 'woocommerce_registration_generate_username' ) ) : ?>

                    <p class="woocommerce-form-row woocommerce-form-row--wide form-row form-row-wide">
                        <label for="reg_username"><?php esc_html_e( 'Username', 'woocommerce' ); ?>&nbsp;<span class="required">*</span></label>
                        <input type="text" class="woocommerce-Input woocommerce-Input--text input-text" name="username" id="reg_username" autocomplete="username" value="<?php echo ( ! empty( $_POST['username'] ) ) ? esc_attr( wp_unslash( $_POST['username'] ) ) : ''; ?>" /><?php // @codingStandardsIgnoreLine ?>
                    </p>

                <?php endif; ?>

                <p class="woocommerce-form-row woocommerce-form-row--wide form-row form-row-wide">
                    <label for="reg_email"><?php esc_html_e( 'Email address', 'woocommerce' ); ?>&nbsp;<span class="required">*</span></label>
                    <input type="email" class="woocommerce-Input woocommerce-Input--text input-text" name="email" id="reg_email" autocomplete="email" value="<?php echo ( ! empty( $_POST['email'] ) ) ? esc_attr( wp_unslash( $_POST['email'] ) ) : ''; ?>" /><?php // @codingStandardsIgnoreLine ?>
                </p>

                <?php if ( 'no' === get_option( 'woocommerce_registration_generate_password' ) ) : ?>

                    <p class="woocommerce-form-row woocommerce-form-row--wide form-row form-row-wide">
                        <label for="reg_password"><?php esc_html_e( 'Password', 'woocommerce' ); ?>&nbsp;<span class="required">*</span></label>
                        <input type="password" class="woocommerce-Input woocommerce-Input--text input-text" name="password" id="reg_password" autocomplete="new-password" />
                    </p>

                <?php else : ?>

                    <p><?php esc_html_e( 'A password will be sent to your email address.', 'woocommerce' ); ?></p>

                <?php endif; ?>

                <?php do_action( 'woocommerce_register_form' ); ?>

			<p class="woocommerce-FormRow form-row woo-btn-action">
                    <?php wp_nonce_field( 'woocommerce-register', 'woocommerce-register-nonce' ); ?>
                    <button type="submit" class="woocommerce-Button woocommerce-button button woocommerce-form-register__submit" name="register" value="<?php esc_attr_e( 'Register', 'woocommerce' ); ?>"><?php esc_html_e( 'Register', 'woocommerce' ); ?></button>
				<a class="woocommerce-button button woocommerce-form-login__submit" href="<?php echo get_permalink( wc_get_page_id( 'myaccount' ) ); ?>"><?php esc_html_e( 'Log in', 'woocommerce' ); ?></a>
                </p>

                <?php do_action( 'woocommerce_register_form_end' ); ?>

            </form>

        </div>
    </div>
    <?php else: ?>

    <div class="u-columns col2-set body_login_v4" id="customer_login">

        <div class="u-column2 container_login_v4 container_login_v4_woo container_login_v4_error">    
            <p>امکان ثبت نام از این طریق غیرفعال است. با مدیر سایت تماس بگیرید.</p>
    </div></div>
    <?php endif; ?>
    <?php do_action( 'woocommerce_after_customer_register_form' ); ?>
<?php else: 
do_action( 'woocommerce_before_customer_login_form' ); ?>

<?php 
global $sigma;
if($sigma['logiin_style_page'] == 'dashboard/login/login-style-one') : ?>

    <div class="u-columns col2-set formholder-v1" id="customer_login" style="background:<?php global $sigma; echo ''  . $sigma['logiin_page_back']['background-color']; ?>">
    <div class="u-column2 form-container container_login_v1_woo" style="background: url(<?php global $sigma; echo ''  . $sigma['logiin_container_bg']['background-image']; ?>) <?php global $sigma; echo ''  . $sigma['logiin_container_bg']['background-color']; ?> no-repeat;">

<?php endif; ?>   

<?php
global $sigma;
if($sigma['logiin_style_page'] == 'dashboard/login/login-style-two') : ?>

    <div class="u-columns col2-set formholder-v2" id="customer_login">
    <div class="u-column2 form-container-v2 container_login_v2_woo" style="background:url( <?php global $sigma; echo ''  . $sigma['logiin_v2_bg']['background-image']; ?>)  no-repeat">
    <div class="container form-v2-container">
    <div class="row">
    <div class="col-lg-6 note-form-v2 nopadding" style="background:url(<?php global $sigma; echo ''  . $sigma['logiin_v2_left_box_back_photo']['background-image']; ?>);">
               <a href="<?php bloginfo('url') ?>" target="_blank">
                     <?php global $sigma; if($sigma['logiin_image_v2']['url']!='') { ?>
                <img src="<?php echo $sigma['logiin_image_v2']['url']; ?>">
              <?php } else { ?>
                <img alt="" src="<?php bloginfo('template_directory'); ?>/assets/img/logo-light.png">
            <?php } ?>
            </a>
<?php global $sigma; echo $sigma['content_logiin']; ?>

                    <a href="<?php global $sigma; echo $sigma['content_logiin_btn_link']; ?>" target="_blank" class="more-panel"><?php global $sigma; echo $sigma['content_logiin_btn_text']; ?></a>
    </div>
    
    <div class="col-lg-6 content-form-v2">
        
            <?php global $sigma; if($sigma['logiin_user_image_v2']['url']!='') { ?>
                <img src="<?php echo $sigma['logiin_user_image_v2']['url']; ?>">
              <?php } else { ?>
                <img alt="" src="<?php bloginfo('template_directory'); ?>/assets/img/boy-150x150.png">
            <?php } ?>		
            
<p><?php global $sigma; echo $sigma['content_logiin_form_text']; ?></p>

<?php endif; ?> 


<?php 
global $sigma;
if($sigma['logiin_style_page'] == 'dashboard/login/login-style-three') : ?>

    <div class="u-columns col2-set background_login background_login_woo" id="customer_login" style="margin:0;background:<?php global $sigma; echo ''  . $sigma['logiin_v3_full_back']['background-color']; ?>">
    <div class="u-column2 wrapper_login wrapper_register container_login_v3_woo" >

      <div class="header_login header_register" style="min-height: auto;background:<?php global $sigma; echo ''  . $sigma['logiin_v3_box_back']['background-color']; ?>">
        <i class="star-1"></i>
        <i class="star-2"></i>
        <i class="star-3"></i>
        <i class="star-4"></i>
        <i class="star-5"></i>
        <i class="star-6"></i>
        <div class="avatar_login">
            <?php echo get_avatar( get_the_author_meta('user_login'), 80); ?>
        </div>
        <div class="title">
        <h1><?php esc_html_e( 'Login', 'woocommerce' ); ?></h1>
        </div>  
        </div>  
        
<?php endif; ?>    

<?php 
global $sigma;
if($sigma['logiin_style_page'] == 'dashboard/login/login-style-four') : ?>

    <div class="body_login_v4" style="background-color:<?php global $sigma; echo ''  . $sigma['logiin_v4_full_back']['background-color']; ?>">
    <div class="u-column2 container_login_v4 container_login_v4_woo" style="background:<?php global $sigma; echo ''  . $sigma['logiin_v4_back']['background-color']; ?>;border-bottom: <?php global $sigma; echo $sigma['logiin_v4_back_border_bottom_color']; ?> solid ;border-top: solid <?php global $sigma; echo $sigma['logiin_v4_back_border_top_color']; ?>;">

<?php endif; ?>   

<?php 
global $sigma;
if($sigma['logiin_style_page'] == 'dashboard/login/login-style-one' ) : ?>
        <h1><?php esc_html_e( 'Login', 'woocommerce' ); ?></h1>
<?php endif; ?>    


<?php 
global $sigma;
if($sigma['logiin_style_page'] == 'dashboard/login/login-style-two' ) : ?>
        <h1><?php esc_html_e( 'Login', 'woocommerce' ); ?></h1>
<?php endif; ?>    


<?php 
global $sigma;
if($sigma['logiin_style_page'] == 'dashboard/login/login-style-four' ) : ?>
        <h1><?php esc_html_e( 'Login', 'woocommerce' ); ?></h1>
<?php endif; ?>    

        <form class="woocommerce-form woocommerce-form-login login" method="post">

            <?php do_action( 'woocommerce_login_form_start' ); ?>

            <p class="woocommerce-form-row woocommerce-form-row--wide form-row form-row-wide">
                <label for="username"><?php esc_html_e( 'Username or email address', 'woocommerce' ); ?>&nbsp;<span class="required">*</span></label>
                <input type="text" class="woocommerce-Input woocommerce-Input--text input-text" name="username" id="username" autocomplete="username" value="<?php echo ( ! empty( $_POST['username'] ) ) ? esc_attr( wp_unslash( $_POST['username'] ) ) : ''; ?>" /><?php // @codingStandardsIgnoreLine ?>
            </p>
            <p class="woocommerce-form-row woocommerce-form-row--wide form-row form-row-wide">
                <label for="password"><?php esc_html_e( 'Password', 'woocommerce' ); ?>&nbsp;<span class="required">*</span></label>
                <input class="woocommerce-Input woocommerce-Input--text input-text" type="password" name="password" id="password" autocomplete="current-password" />
            </p>

            <?php do_action( 'woocommerce_login_form' ); ?>

            <p class="form-row">
                <label class="woocommerce-form__label woocommerce-form__label-for-checkbox woocommerce-form-login__rememberme">
                    <input class="woocommerce-form__input woocommerce-form__input-checkbox" name="rememberme" type="checkbox" id="rememberme" value="forever" /> <span><?php esc_html_e( 'Remember me', 'woocommerce' ); ?></span>
                </label>
                <?php wp_nonce_field( 'woocommerce-login', 'woocommerce-login-nonce' ); ?>
                <button type="submit" class="woocommerce-button button woocommerce-form-login__submit" name="login" value="<?php esc_attr_e( 'Log in', 'woocommerce' ); ?>"><?php esc_html_e( 'Log in', 'woocommerce' ); ?></button>
				<a class="register-custom-button woocommerce-button button woocommerce-form-login__submit" href="<?php echo get_permalink( wc_get_page_id( 'myaccount' ) ); ?>/register"><?php esc_html_e( 'Register', 'woocommerce' ); ?></a>
            </p>
            <p class="woocommerce-LostPassword lost_password">
                <a href="<?php echo esc_url( wp_lostpassword_url() ); ?>"><?php esc_html_e( 'Lost your password?', 'woocommerce' ); ?></a>
            </p>

            <?php do_action( 'woocommerce_login_form_end' ); ?>

        </form>
    </div>
</div>

<?php
global $sigma;
if($sigma['logiin_style_page'] == 'dashboard/login/login-style-two') : ?>
    </div>
    </div>
    </div>
    
<?php endif; ?> 

<?php do_action( 'woocommerce_after_customer_login_form' ); ?>
<?php endif;


if($sigma['regiss_style_page'] == 'dashboard/register/register-style-four') : ?>
<style>
.mm-page {    position: unset;}
html { background-color: <?php echo $sigma['register_v4_full_back']['background-color']; ?> }
</style>
<?php endif; ?>

</div>
</div>